// @ts-check
import { defineConfig } from "astro/config";
import starlight from "@astrojs/starlight";

// https://astro.build/config
export default defineConfig({
  site: "https://kb.solsynth.dev",
  integrations: [
    starlight({
      title: "Goatpedia",
      defaultLocale: "root",
      locales: {
        root: {
          label: "English",
          lang: "en",
        },
        "zh-cn": {
          label: "简体中文",
          lang: "zh-CN",
        },
      },
      social: {
        github: "https://github.com/Solsynth",
      },
      sidebar: [
        {
          label: 'Solar Network',
          autogenerate: { directory: 'solar-network' },
        },
      ],
    }),
  ],
});
